Summary:	i3-compatible Wayland compositor
Name:		sway
Version:	1.10.1
Release:	1
License:	MIT
Group:		Applications
Source0:	https://github.com/swaywm/sway/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	613475773afc3a3def1380f1ff214942
Patch0:		x32.patch
URL:		https://swaywm.org/
BuildRequires:	bash-completion-devel
BuildRequires:	cairo-devel
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	json-c-devel >= 0.13
BuildRequires:	libdrm-devel
BuildRequires:	libevdev-devel
BuildRequires:	libinput-devel >= 1.26.0
BuildRequires:	libxcb-devel
BuildRequires:	meson >= 0.60.0
BuildRequires:	ninja
BuildRequires:	pango-devel
BuildRequires:	pcre2-8-devel
BuildRequires:	pixman-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	scdoc >= 1.9.2
BuildRequires:	systemd-devel >= 1:239
BuildRequires:	udev-devel
BuildRequires:	wayland-devel >= 1.21.0
BuildRequires:	wayland-protocols >= 1.24
BuildRequires:	wlroots0.18-devel
BuildRequires:	xcb-util-wm-devel
BuildRequires:	xorg-lib-libxkbcommon-devel >= 1.5.0
Requires:	json-c >= 0.13
Requires:	libinput >= 1.26.0
Requires:	systemd-libs >= 1:239
Requires:	wayland >= 1.21.0
Requires:	xorg-lib-libxkbcommon >= 1.5.0
Suggests:	xorg-xserver-Xwayland
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sway is a tiling Wayland compositor and a drop-in replacement for the
i3 window manager for X11. It works with your existing i3
configuration and supports most of i3's features, plus a few extras.

Sway allows you to arrange your application windows logically, rather
than spatially. Windows are arranged into a grid by default which
maximizes the efficiency of your screen and can be quickly manipulated
using only the keyboard.

%package backgrounds
Summary:	Background images for sway compositor
Group:		Themes
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description backgrounds
Background images for sway compositor.

%package -n bash-completion-sway
Summary:	Bash completion for sway
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-sway
Bash completion for sway.

%package -n fish-completion-sway
Summary:	fish-completion for sway
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	fish
BuildArch:	noarch

%description -n fish-completion-sway
fish-completion for sway.

%package -n zsh-completion-sway
Summary:	ZSH completion for sway
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-sway
ZSH completion for sway.

%prep
%setup -q
%patch -P0 -p1

%build
%meson
%meson_build

%install
rm -rf $RPM_BUILD_ROOT
%meson_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTING.md README.md
%dir %{_sysconfdir}/sway
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sway/config
%attr(755,root,root) %{_bindir}/sway
%attr(755,root,root) %{_bindir}/swaybar
%attr(755,root,root) %{_bindir}/swaymsg
%attr(755,root,root) %{_bindir}/swaynag
%{_datadir}/wayland-sessions/sway.desktop
%{_mandir}/man1/sway.1*
%{_mandir}/man1/swaymsg.1*
%{_mandir}/man1/swaynag.1*
%{_mandir}/man5/sway-bar.5*
%{_mandir}/man5/sway-input.5*
%{_mandir}/man5/sway-output.5*
%{_mandir}/man5/sway.5*
%{_mandir}/man5/swaynag.5*
%{_mandir}/man7/sway-ipc.7*
%{_mandir}/man7/swaybar-protocol.7*

%files backgrounds
%defattr(644,root,root,755)
%dir %{_datadir}/backgrounds/sway
%{_datadir}/backgrounds/sway/Sway_Wallpaper_Blue_*.png

%files -n bash-completion-sway
%defattr(644,root,root,755)
%{bash_compdir}/sway
%{bash_compdir}/swaybar
%{bash_compdir}/swaymsg

%files -n fish-completion-sway
%defattr(644,root,root,755)
%{fish_compdir}/sway.fish
%{fish_compdir}/swaymsg.fish
%{fish_compdir}/swaynag.fish

%files -n zsh-completion-sway
%defattr(644,root,root,755)
%{zsh_compdir}/_sway
%{zsh_compdir}/_swaymsg
%changelog
* Thu Feb 20 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sway.git;a=log;h=master

* Thu Feb 20 2025 Jan Palus <atler@pld-linux.org> ae2d5c1
- up to 1.10.1

* Thu Feb 20 2025 Jan Palus <atler@pld-linux.org> 1da6c22
- use new meson macros

* Thu Feb 20 2025 Jan Palus <atler@pld-linux.org> 61f246a
- use %patch -P

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 77a57dd
- up to 1.9

* Sun Feb 12 2023 Jan Palus <atler@pld-linux.org> 56aa073
- up to 1.8.1

* Sun Dec 25 2022 Jan Palus <atler@pld-linux.org> 443afd7
- correct bash-completion/systemd epochs

* Sun Dec 25 2022 Jan Palus <atler@pld-linux.org> aa21d06
- up to 1.8

* Sun Jan 23 2022 Jan Palus <atler@pld-linux.org> 9623f68
- rpm version for noarch subpackage

* Sun Jan 23 2022 Jan Palus <atler@pld-linux.org> 27ed82a
- up to 1.7

* Thu Jun 24 2021 Jan Palus <atler@pld-linux.org> 5de5ee5
- up to 1.6.1

* Mon May 17 2021 Jan Palus <atler@pld-linux.org> c1cfad8
- explicitly enable xwayland; rel 2

* Mon May 17 2021 Jan Palus <atler@pld-linux.org> 5eb8708
- S: xorg-xserver-Xwayland

* Wed Apr 07 2021 Jan Palus <atler@pld-linux.org> 3b140c2
- up to 1.6

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 7a82169
- unconditional noarch subpackages

* Tue Feb 09 2021 Jan Palus <atler@pld-linux.org> ac52b9f
- patch for improving IPC compatibility with i3

* Sat Feb 06 2021 Jan Rękorajski <baggins@pld-linux.org> 3496f93
- fix x32 conditions

* Fri Feb 05 2021 Jan Rękorajski <baggins@pld-linux.org> 67330d6
- make x32 patch rely on compiler, not rpm

* Wed Feb 03 2021 Jan Palus <atler@pld-linux.org> b43053b
- fix build on x32

* Sun Jan 31 2021 Jan Palus <atler@pld-linux.org> 51c4059
- build and package man pages

* Sun Jan 31 2021 Jan Palus <atler@pld-linux.org> 676f351
- new

